Questions tagged [package-repositories]

for questions about repositories of Emacs packages on well-known servers, such as MELPA, GNU ELPA, and Marmalade. Emacs uses library package.el to download and install updates to packages you choose.

Filter by
Sorted by
Tagged with
10
votes
2answers
669 views

Install packages globallly

Is this something that can / should be done? For example, often I use emacs in my user account and sometimes root account. When using the package manager (i.e marmalade or something) do I have to ...
3
votes
1answer
360 views

Can't install elm-mode using MELPA

I'm trying to install elm-mode using MELPA. When I try to install it I get an error message: https://melpa.org/packages/dash-20150829.433.el: Not found I can install other things, bu not this.
15
votes
2answers
813 views

How can I set up an ELPA server?

A buddy and I are wanting to start writing emacs packages specific for use in our company. (Trust me, nothing we write will be of much interest to anyone outside -- it's integration with internal ...
5
votes
1answer
1k views

How to use a theme installed with melpa?

I want to use this theme: https://github.com/jonnay/emagicians-starter-kit/blob/master/themes/org-beautify-theme.org I installed it via list-package successfully. I tried loading it via load-theme ...
3
votes
1answer
2k views

Emacs won't load theme installed from MELPA

I just installed the seti-theme from MELPA and no errors occurred. Than I ran M-x load-theme and after a few questions nothing would hapen and emacs would throw the following error: Warning (...
11
votes
3answers
968 views

How to setup a private package repository?

I've written several packages for GNU Emacs, but they are useless outside of my company's environment. I want to be able to share the packages with other developers from my company. I also want the ...
5
votes
1answer
2k views

How can I change the installation folder for Melpa packages?

I have just started using Melpa, and I installed the first package. The package though goes to the folder ~/Library/Preferences/Aquamacs Emacs/Pakcages/elpa/ but I would prefer if it went to my ....
2
votes
3answers
155 views

Autoload function or mode from ELPA

Use case I run my Emacs config on many machines. Most do not have a Racket installed, and I'd rather not have my Racket related packages installed by default. However, I would like to be able to edit ...
1
vote
2answers
95 views

Dependency of auto-complete

I asked this questions on Github I have just switched form auto-complete mode to company mode, but the error message Warning (emacs): Unable to activate package jedi'. Required packageauto-complete-...
2
votes
1answer
170 views

Transitioning to MELPA

It's time. I've spent too long with too many pieces of elisp lying around in site-lisp, outdated until I manually grab a new copy. I am new to the ELPA/MELPA/package.el/el-get world, but have ...
0
votes
1answer
64 views

Install repo fork using el-get [closed]

This is what I am trying to install but I keep running into no 'powerline-themes'. I have only started using Emacs yesterday, so can someone please point out what is going on behind the scenes and why ...
1
vote
1answer
184 views

My package.el is broken

About 2 weeks ago my package.el broken and I am not able to install/remove/update packages. Flow: M-x package-list-packages, I mark package for installation or deletion (I or D appears next to ...
7
votes
2answers
4k views

How to install a specific version of package?

When I do M-x package-install RET magit it installs the latest version of magit which is 2.1.0. I want to install magit 1.4.2. I don't want to do it manually by downloading and loading package. ...
1
vote
1answer
2k views

“Cannot open load file”, “/Users/home/.emacs.d/elpa/archives/-pkg” emacs 22.1

emacs 22.1 elpa error When I installed emacs24.5 on osx it broke my .emacs.d/elpa directory. this is the error I get when emacs loads: "Cannot open load file", "/Users/xxxx/.emacs.d/elpa/archives/-...
10
votes
2answers
653 views

Technical considerations for package maintainers to not use the Emacs package manager?

I am noticing some notable package maintainers are choosing to not use the Emacs package management system (ESS?) or complaining about its limitations (Helm). Quoting from Helm's README.md: ...
0
votes
1answer
654 views

Problem Installing Solarized Theme For Emacs Via Melpa

So currently I have (require 'package) ;; You might already have this line (add-to-list 'package-archives '("melpa" . "http://melpa.org/packages/")) (when (< emacs-major-version 24) ...
14
votes
4answers
1k views

What are the use cases of alternative package managers vis-à-vis `package.el`?

Background I use emacs daily, but mostly to get things done. I don't really like customising it more than adding packages and I don't like troubleshooting. I want emacs to fade into the background ...
1
vote
1answer
106 views

Get local GNU ELPA version

It's been a while and this question about ELPA fetch errors is getting a lot of views but has no resolution. I want to do some more research. I suspect that GNU ELPA is getting fetched and that the ...
0
votes
1answer
212 views

How to create org-mode recipe for melpa?

I'm trying to use github.com/milkypostman/melpa for creating a package from my own org-mode git repository. There are many recipes which I can create by make recipes/foo command, but there isn't the ...
0
votes
0answers
112 views

Emacs does not use swapped alt&win after xmodmap runs? (GUI emacs)

I have a mac-book-air. I swapped my Alt & Win with xmodmap as per linux post like so: keycode 64 = Alt_L keycode 133 = Super_L remove Mod1 = Alt_L remove Mod4 = Super_L add Mod1 = Super_L add ...
31
votes
2answers
5k views

Do I still need GNU ELPA if I have MELPA?

This has always confused me, since people are saying that MELPA does have newer versions of packages, but it's not really clear, if GNU ELPA is just a subset of MELPA, or if I do need both? The ...
1
vote
2answers
305 views

Unable to find projectile in the package list

I have added these lines to a file ~/.emacs.d/package_init.el (require 'package) ;; You might already have this line (add-to-list 'package-archives '("melpa" . "http://melpa.org/packages/...
0
votes
1answer
185 views

Can not restore solarized dark theme after updating all packages via MELPA

I updated all my packages via MELPA today and I previously had a solarized dark theme and now its solarized light. I did not change my init.el or any settings. Emacs is not showing any errors. ...
17
votes
2answers
9k views

The TLS connection was non-properly terminated

When running package-list-packages I get the following errors: Failed to download `gnu' archive. gnutls.c: [0] (Emacs) fatal error: The TLS connection was non-properly terminated. I am running Emacs ...
0
votes
1answer
33 views

domains read by melpa's JavaScript

I'm behind a firewall. What domains should I whitelist to be able to download packages from melpa? The JavaScript really obfuscates it.
1
vote
1answer
2k views

cygwin/emacs (v24.4.1) behind firewall proxy package install 0 sized files

I'm a recent Vim "convert" (and yet love most of it), still I have an issue with installing packages using cygwin/emacs. The related configurations are (I have $http(s)_proxy set up as environment ...
1
vote
1answer
31 views

Customizing name of “Help” buffer opening by package-menu-describe-package

Hitting RET with point on a package name in the *Packages* buffer opens a help buffer, named "Help", describing the package. RET here invokes package-menu-describe-package which in turn calls describe-...
3
votes
1answer
597 views

What is the standard way to install packages for Emacs?

There are several methods to install and manage packages for Emacs: package.el el-get use-package What is the easiest way to install package? It seems package.el ships with the default Emacs ...
0
votes
2answers
631 views

marmalade refused my handshake

I am behind a web proxy trying to connect to marmalade. Strangely, elpa works just fine, but marmalade fails. This is the traceback: Debugger entered--Lisp error: (error "Error during download ...
29
votes
2answers
5k views

Is it possible to use both MELPA and MELPA-stable at the same time?

I use melpa-stable as an additional package repository, but one of the packages I like to use (icicles) isn't available on melpa-stable. Is there any way to configure package.el to normally use melpa-...
4
votes
1answer
156 views

Automatically move installed packages to site-lisp to benefit all user accounts

I have scripts to setup virtual machine images, where emacs packages are installed for the root account. Currently, I manually copy them to the appropriate site-lisp directory, i.e. one of those ...
3
votes
1answer
158 views

Is there a way to automatically install the relevant package when opening an unknown file type?

Is there an automated way to discover “well-known” packages related to a given file type, e.g. scala-mode2 for Scala files, rust-mode for Rust files, etc., and install them automatically when opening ...
1
vote
1answer
1k views

Using ELPA in batch mode on Windows fails

I posted this question to help-gnu-emacs, but haven't had a reply there, so perhaps this is a different audience. I have an automated test suite that downloads a few packages from ELPA to simulate a ...
4
votes
2answers
652 views

Problems installing packages via elpa that require cl-lib-1.0

I'm having problems installing package from (m)elpa which require cl-lib-1.0. My emacs version is 24.3, hence I have a builtin copy of cl-lib-1.0, however, the only version available via elpa is 0.5. ...
124
votes
4answers
16k views

What are the practical differences between the various Emacs Package Repositories?

I notice that there are several different repositories that often contain the same software. Why would I want to prefer: GNU ELPA Marmalade MELPA over the others? Since any one repository does not ...
24
votes
7answers
11k views

How to proceed on package.el signature check failure

I just tried to install ascii-art-to-unicode from the gnu repository (http://elpa.gnu.org/) via list-packages. I get the following error: package--check-signature: Failed to verify signature ...